diff --git a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewStackedBarChartApp.java b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewStackedBarChartApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewStackedBarChartApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewStackedBarChartApp.java
@@ -95,7 +95,8 @@
             testedStackedBarChart = getNewChart();
             testedStackedBarChart.setId(TESTED_CHART_ID);
 
-            Button hardResetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Hard reset").build();
+            Button hardResetButton = new Button("Hard reset");
+            hardResetButton.setId(HARD_RESET_BUTTON_ID);
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -105,7 +106,8 @@
                 }
             });
 
-            Button softResetButton = ButtonBuilder.create().id(SOFT_RESET_BUTTON_ID).text("Soft reset").build();
+            Button softResetButton = new Button("Soft reset");
+            softResetButton.setId(SOFT_RESET_BUTTON_ID);
             softResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     //throw new UnsupportedOperationException("Not supported yet.");
@@ -129,8 +131,11 @@
         public HBox getRemoveDataDialog() {
             HBox hb = new HBox();
             Label lb = new Label("From position");
-            final TextField tf = TextFieldBuilder.create().text("0").prefWidth(50).id(REMOVE_ITEM_POS_TEXT_FIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("Remove!").id(REMOVE_BUTTON_ID).build();
+            final TextField tf = new TextField("0");
+            tf.setPrefWidth(50);
+            tf.setId(REMOVE_ITEM_POS_TEXT_FIELD_ID);
+            Button bt = new Button("Remove!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tf.getText());
@@ -144,8 +149,9 @@
         public HBox getRemoveCategoryDialog() {
             HBox hb = new HBox();
             Label lb = new Label("From index");
-            final TextField tf = TextFieldBuilder.create().text("0").prefWidth(50).build();
-            Button bt = ButtonBuilder.create().text("Remove category!").build();
+            final TextField tf = new TextField("0");
+            tf.setPrefWidth(50);
+            Button bt = new Button("Remove category!");
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tf.getText());
@@ -160,12 +166,14 @@
         public HBox getAddCategoryDialog() {
             HBox hb = new HBox();
             Label lb = new Label("Category");
-            final TextField tf = TextFieldBuilder.create().text("").prefWidth(50).build();
+            final TextField tf = new TextField("");
+            tf.setPrefWidth(50);
 
             Label lind = new Label("to index");
-            final TextField tfind = TextFieldBuilder.create().text("0").prefWidth(50).build();
+            final TextField tfind = new TextField("0");
+            tfind.setPrefWidth(50);
 
-            Button bt = ButtonBuilder.create().text("Add!").build();
+            Button bt = new Button("Add!");
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tfind.getText());
@@ -180,18 +188,27 @@
         public HBox getAddItemHBox() {
             HBox hb = new HBox();
             Label lb = new Label("Add series named ");
-            final TextField tf = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_NAME_TEXTFIELD_ID).build();
+            final TextField tf = new TextField();
+            tf.setPrefWidth(50);
+            tf.setId(ADDED_SERIES_NAME_TEXTFIELD_ID);
 
             Label minLabel = new Label(" min ");
-            final TextField minText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_MIN_VALUE_TEXTFIELD_ID).build();
+            final TextField minText = new TextField();
+            minText.setPrefWidth(50);
+            minText.setId(ADDED_SERIES_MIN_VALUE_TEXTFIELD_ID);
 
             Label maxLabel = new Label(" max ");
-            final TextField maxText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_MAX_VALUE_TEXTFIELD_ID).build();
+            final TextField maxText = new TextField();
+            maxText.setPrefWidth(50);
+            maxText.setId(ADDED_SERIES_MAX_VALUE_TEXTFIELD_ID);
 
             Label amountLabel = new Label(" amount ");
-            final TextField amountText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_DOTS_COUNT_TEXTFIELD_ID).build();
+            final TextField amountText = new TextField();
+            amountText.setPrefWidth(50);
+            amountText.setId(ADDED_SERIES_DOTS_COUNT_TEXTFIELD_ID);
 
-            Button bt = ButtonBuilder.create().text("Add!").id(ADD_SERIES_COMMAND_BUTTON_ID).build();
+            Button bt = new Button("Add!");
+            bt.setId(ADD_SERIES_COMMAND_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     String serieName = tf.getText();
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/chart/manual/PieChartManualApp.java b/functional/ControlsTests/src/javafx/scene/control/test/chart/manual/PieChartManualApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/chart/manual/PieChartManualApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/chart/manual/PieChartManualApp.java
@@ -33,7 +33,6 @@
 import javafx.scene.chart.PieChart;
 import javafx.scene.Scene;
 import javafx.scene.control.*;
-import javafx.scene.control.ButtonBuilder;
 import javafx.scene.control.test.utils.CommonPropertiesScene;
 import javafx.geometry.Side;
 import javafx.scene.layout.HBox;
@@ -104,7 +103,7 @@
                 }
             });
 
-            Button hardResetButton = ButtonBuilder.create().text("Reset").build();
+            Button hardResetButton = new Button("Reset");
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/choicebox/NewChoiceBoxApp.java b/functional/ControlsTests/src/javafx/scene/control/test/choicebox/NewChoiceBoxApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/choicebox/NewChoiceBoxApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/choicebox/NewChoiceBoxApp.java
@@ -85,7 +85,8 @@
             pane.setStyle("-fx-border-color : red;");
             pane.getChildren().add(testedChoiceBox);
 
-            Button resetButton = ButtonBuilder.create().id(RESET_BUTTON_ID).text("Reset").build();
+            Button resetButton = new Button("Reset");
+            resetButton.setId(RESET_BUTTON_ID);
             resetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/chooser/FXChooser.java b/functional/ControlsTests/src/javafx/scene/control/test/chooser/FXChooser.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/chooser/FXChooser.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/chooser/FXChooser.java
@@ -33,7 +33,6 @@
 import javafx.scene.control.Button;
 import javafx.scene.control.Label;
 import javafx.scene.control.TextField;
-import javafx.scene.control.TextFieldBuilder;
 import javafx.scene.control.Tooltip;
 import javafx.scene.layout.GridPane;
 import javafx.scene.text.Text;
@@ -59,8 +58,10 @@
     public void start(final Stage stage) throws Exception {
         try {
             extensionFilter = new FileChooser.ExtensionFilter("File with extension (*.extension)", "*.extension");
-            initialFileNameTextField = TextFieldBuilder.create().text("").promptText("Initial file name").build();
-            titleTextField = TextFieldBuilder.create().text("").promptText("Title").build();
+            initialFileNameTextField = new TextField("");
+            initialFileNameTextField.setPromptText("Initial file name");
+            titleTextField = new TextField("");
+            titleTextField.setPromptText("Title");
             errorText = new Label("No errors");
 
             //                  OPEN FOLDER
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/colorpicker/ColorPickerApp.java b/functional/ControlsTests/src/javafx/scene/control/test/colorpicker/ColorPickerApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/colorpicker/ColorPickerApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/colorpicker/ColorPickerApp.java
@@ -134,7 +134,8 @@
             hb.setPadding(new Insets(5, 5, 5, 5));
             hb.setStyle("-fx-border-color : green;");
 
-            Button hardResetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Hard reset").build();
+            Button hardResetButton = new Button("Hard reset");
+            hardResetButton.setId(HARD_RESET_BUTTON_ID);
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -144,7 +145,8 @@
                 }
             });
 
-            Button softResetButton = ButtonBuilder.create().id(SOFT_RESET_BUTTON_ID).text("Soft reset").build();
+            Button softResetButton = new Button("Soft reset");
+            softResetButton.setId(SOFT_RESET_BUTTON_ID);
             softResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     tb.refresh();
@@ -168,8 +170,11 @@
         private HBox setColorHbox() {
             HBox hb = new HBox();
             Label lb = new Label("Set color");
-            final TextField colorTf = TextFieldBuilder.create().prefWidth(100).id(SET_COLOR_TEXT_FIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("Set!").id(SET_COLOR_BUTTON_ID).build();
+            final TextField colorTf = new TextField();
+            colorTf.setPrefWidth(100);
+            colorTf.setId(SET_COLOR_TEXT_FIELD_ID);
+            Button bt = new Button("Set!");
+            bt.setId(SET_COLOR_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     testedColorPicker.setValue(Color.web(colorTf.getText()));
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/combobox/ComboBoxApp.java b/functional/ControlsTests/src/javafx/scene/control/test/combobox/ComboBoxApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/combobox/ComboBoxApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/combobox/ComboBoxApp.java
@@ -167,21 +167,24 @@
 //                }
 //            });
 
-            Button applyCustomSelectionModel = ButtonBuilder.create().text("Apply custom selection model").id(APPLY_CUSTOM_SELECTION_MODEL_BUTTON_ID).build();
+            Button applyCustomSelectionModel = new Button("Apply custom selection model");
+            applyCustomSelectionModel.setId(APPLY_CUSTOM_SELECTION_MODEL_BUTTON_ID);
             applyCustomSelectionModel.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     testedComboBox.selectionModelProperty().setValue(selectionModel);
                 }
             });
 
-            Button applyCustomStringConverter = ButtonBuilder.create().text("Apply custom string converter").id(APPLY_CUSTOM_STRING_CONVERTER_BUTTON_ID).build();
+            Button applyCustomStringConverter = new Button("Apply custom string converter");
+            applyCustomStringConverter.setId(APPLY_CUSTOM_STRING_CONVERTER_BUTTON_ID);
             applyCustomStringConverter.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     testedComboBox.setConverter(new CustomStringConverter());
                 }
             });
 
-            Button applyCustomCellFactory = ButtonBuilder.create().text("Apply custom cell factory").id(APPLY_CUSTOM_CELL_FACTORY_BUTTON_ID).build();
+            Button applyCustomCellFactory = new Button("Apply custom cell factory");
+            applyCustomCellFactory.setId(APPLY_CUSTOM_CELL_FACTORY_BUTTON_ID);
             applyCustomCellFactory.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     testedComboBox.setCellFactory(new Callback<ListView<String>, ListCell<String>>() {
@@ -193,7 +196,8 @@
                 }
             });
 
-            Button hardResetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Hard reset").build();
+            Button hardResetButton = new Button("Hard reset");
+            hardResetButton.setId(HARD_RESET_BUTTON_ID);
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -203,7 +207,8 @@
                 }
             });
 
-            Button softResetButton = ButtonBuilder.create().id(SOFT_RESET_BUTTON_ID).text("Soft reset").build();
+            Button softResetButton = new Button("Soft reset");
+            softResetButton.setId(SOFT_RESET_BUTTON_ID);
             softResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     tb.refresh();
@@ -228,11 +233,8 @@
             HBox resetButtonsHBox = new HBox();
             resetButtonsHBox.getChildren().addAll(hardResetButton, softResetButton);
 
-            Button setAddingElementsOnShowing = ButtonBuilder.create()
-                    .id(SET_ADDING_ELEMENTS_ON_SHOWING)
-                    .text("Set adding elements on showing")
-                    .build();
-
+            Button setAddingElementsOnShowing = new Button("Set adding elements on showing");
+            setAddingElementsOnShowing.setId(SET_ADDING_ELEMENTS_ON_SHOWING);
             setAddingElementsOnShowing.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     testedComboBox.setOnShowing(new EventHandler<Event>() {
@@ -246,11 +248,8 @@
                 }
             });
 
-            Button restoreDefaultOnShowingHandler = ButtonBuilder.create()
-                    .id(RESTORE_ON_SHOWING_EVENT_HANDLER)
-                    .text("Restore default onShowing handler")
-                    .build();
-
+            Button restoreDefaultOnShowingHandler = new Button("Restore default onShowing handler");
+            restoreDefaultOnShowingHandler.setId(RESTORE_ON_SHOWING_EVENT_HANDLER);
             restoreDefaultOnShowingHandler.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     testedComboBox.setOnShowing(new EventHandler<Event>() {
@@ -261,11 +260,8 @@
                 }
             });
 
-            Button populateComboBoxWithFontSizes = ButtonBuilder.create()
-                    .id(POPULATE_COMBOBOX_WITH_FONT_SIZES)
-                    .text("Populate ComboBox with font sizes")
-                    .build();
-
+            Button populateComboBoxWithFontSizes = new Button("Populate ComboBox with font sizes");
+            populateComboBoxWithFontSizes.setId(POPULATE_COMBOBOX_WITH_FONT_SIZES);
             populateComboBoxWithFontSizes.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
 
@@ -317,10 +313,15 @@
         private HBox getAddItemHBox() {
             HBox hb = new HBox();
             Label lb = new Label("Add item");
-            final TextField tf = TextFieldBuilder.create().prefWidth(50).id(ADD_ITEM_TEXT_FIELD_ID).build();
+            final TextField tf = new TextField();
+            tf.setPrefWidth(50);
+            tf.setId(ADD_ITEM_TEXT_FIELD_ID);
             Label atLb = new Label("at pos");
-            final TextField tfPos = TextFieldBuilder.create().prefWidth(50).id(ADD_ITEM_POSITION_TEXT_FIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("Add!").id(ADD_ITEM_BUTTON_ID).build();
+            final TextField tfPos = new TextField();
+            tfPos.setPrefWidth(50);
+            tfPos.setId(ADD_ITEM_POSITION_TEXT_FIELD_ID);
+            Button bt = new Button("Add!");
+            bt.setId(ADD_ITEM_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tfPos.getText());
@@ -334,8 +335,11 @@
         private HBox getRemoveItemHBox() {
             HBox hb = new HBox();
             Label lb = new Label("From position");
-            final TextField tf = TextFieldBuilder.create().text("0").prefWidth(50).id(REMOVE_ITEM_POS_TEXT_FIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("Remove!").id(REMOVE_BUTTON_ID).build();
+            final TextField tf = new TextField("0");
+            tf.setPrefWidth(50);
+            tf.setId(REMOVE_ITEM_POS_TEXT_FIELD_ID);
+            Button bt = new Button("Remove!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tf.getText());
@@ -349,7 +353,8 @@
         private HBox getSetItemsNullHBox() {
             HBox hb = new HBox();
 
-            Button bt = ButtonBuilder.create().text("Set items null").id(SET_ITEMS_NULL_BUTTON_ID).build();
+            Button bt = new Button("Set items null");
+            bt.setId(SET_ITEMS_NULL_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     ((ComboBox) testedComboBox).setItems(null);
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/datepicker/DatePickerApp.java b/functional/ControlsTests/src/javafx/scene/control/test/datepicker/DatePickerApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/datepicker/DatePickerApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/datepicker/DatePickerApp.java
@@ -37,7 +37,6 @@
 import javafx.geometry.Pos;
 import javafx.scene.Scene;
 import javafx.scene.control.Button;
-import javafx.scene.control.ButtonBuilder;
 import javafx.scene.control.DateCell;
 import javafx.scene.control.DatePicker;
 import javafx.scene.control.test.utils.CommonPropertiesScene;
@@ -126,7 +125,8 @@
             hb.setPadding(new Insets(5, 5, 5, 5));
             hb.setStyle("-fx-border-color : green;");
 
-            Button hardResetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Hard reset").build();
+            Button hardResetButton = new Button("Hard reset");
+            hardResetButton.setId(HARD_RESET_BUTTON_ID);
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -136,7 +136,8 @@
                 }
             });
 
-            Button softResetButton = ButtonBuilder.create().id(SOFT_RESET_BUTTON_ID).text("Soft reset").build();
+            Button softResetButton = new Button("Soft reset");
+            softResetButton.setId(SOFT_RESET_BUTTON_ID);
             softResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     propertiesTable.refresh();
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/fxcanvas/FXCanvasBrowserApp.java b/functional/ControlsTests/src/javafx/scene/control/test/fxcanvas/FXCanvasBrowserApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/fxcanvas/FXCanvasBrowserApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/fxcanvas/FXCanvasBrowserApp.java
@@ -132,8 +132,6 @@
     }
 
     public static void main(String[] args) {
-        System.setProperty("proxyHost", "www-proxy.ru.oracle.com");
-        System.setProperty("proxyPort", "80");
         try {
             startAndWaitShell();
         } catch (InterruptedException ex) {
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/labeleds/newapps/LabeledsApp.java b/functional/ControlsTests/src/javafx/scene/control/test/labeleds/newapps/LabeledsApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/labeleds/newapps/LabeledsApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/labeleds/newapps/LabeledsApp.java
@@ -29,7 +29,6 @@
 import javafx.geometry.Insets;
 import javafx.scene.Scene;
 import javafx.scene.control.Button;
-import javafx.scene.control.ButtonBuilder;
 import javafx.scene.control.Label;
 import javafx.scene.control.Labeled;
 import javafx.scene.control.test.utils.CommonPropertiesScene;
@@ -87,7 +86,8 @@
             hb.setPadding(new Insets(5, 5, 5, 5));
             hb.setStyle("-fx-border-color : green;");
 
-            Button resetButton = ButtonBuilder.create().id(RESET_BUTTON_ID).text("Reset").build();
+            Button resetButton = new Button("Reset");
+            resetButton.setId(RESET_BUTTON_ID);
             resetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/labeleds/newapps/TextNodeApp.java b/functional/ControlsTests/src/javafx/scene/control/test/labeleds/newapps/TextNodeApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/labeleds/newapps/TextNodeApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/labeleds/newapps/TextNodeApp.java
@@ -36,7 +36,6 @@
 import javafx.geometry.Orientation;
 import javafx.scene.Scene;
 import javafx.scene.control.Button;
-import javafx.scene.control.ButtonBuilder;
 import javafx.scene.control.CheckBox;
 import javafx.scene.control.Label;
 import javafx.scene.control.Separator;
@@ -103,7 +102,8 @@
             hb.setPadding(new Insets(5, 5, 5, 5));
             hb.setStyle("-fx-border-color : green;");
 
-            Button resetButton = ButtonBuilder.create().id(RESET_BUTTON_ID).text("Reset").build();
+            Button resetButton = new Button("Reset");
+            resetButton.setId(RESET_BUTTON_ID);
             resetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/menubar/NewMenuApp.java b/functional/ControlsTests/src/javafx/scene/control/test/menubar/NewMenuApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/menubar/NewMenuApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/menubar/NewMenuApp.java
@@ -79,7 +79,8 @@
 
         private void prepareScene() {
             pane = new Pane();
-            testedMenuBar = MenuBarBuilder.create().id(TESTED_MENUBAR_ID).build();
+            testedMenuBar = new MenuBar();
+            testedMenuBar.setId(TESTED_MENUBAR_ID);
 
             PropertiesTable tb = new PropertiesTable(testedMenuBar);
             PropertyTablesFactory.explorePropertiesList(testedMenuBar, tb);
@@ -97,7 +98,8 @@
             hb.setPadding(new Insets(5, 5, 5, 5));
             hb.setStyle("-fx-border-color : green;");
 
-            Button resetButton = ButtonBuilder.create().id(RESET_BUTTON_ID).text("Reset").build();
+            Button resetButton = new Button("Reset");
+            resetButton.setId(RESET_BUTTON_ID);
             resetButton.setOnAction(new EventHandler<ActionEvent>() {
 
                 public void handle(ActionEvent t) {
@@ -136,10 +138,15 @@
         private HBox getAddTextFieldHbox() {
             HBox hb = new HBox();
             Label lb = new Label("Add Menu at pos");
-            final TextField tf = TextFieldBuilder.create().id(MENUBAR_ADD_INDEX_TEXT_FIELD_ID).text("0").prefWidth(40).build();
-            final TextField nameTF = TextFieldBuilder.create().id(MENUBAR_ADD_NAME_TEXT_FIELD_ID).text("Menu").prefWidth(40).build();
+            final TextField tf = new TextField("0");
+            tf.setId(MENUBAR_ADD_INDEX_TEXT_FIELD_ID);
+            tf.setPrefWidth(40);
+            final TextField nameTF = new TextField("Menu");
+            nameTF.setId(MENUBAR_ADD_NAME_TEXT_FIELD_ID);
+            nameTF.setPrefWidth(40);
 
-            Button bt = ButtonBuilder.create().text("Add!").id(ADD_MENU_BUTTON_ID).build();
+            Button bt = new Button("Add!");
+            bt.setId(ADD_MENU_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
 
                 public void handle(Event t) {
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/pagination/PaginationApp.java b/functional/ControlsTests/src/javafx/scene/control/test/pagination/PaginationApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/pagination/PaginationApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/pagination/PaginationApp.java
@@ -29,7 +29,6 @@
 import javafx.scene.Node;
 import javafx.scene.Scene;
 import javafx.scene.control.Button;
-import javafx.scene.control.ButtonBuilder;
 import javafx.scene.control.Label;
 import javafx.scene.control.Pagination;
 import javafx.scene.control.test.utils.*;
@@ -110,7 +109,8 @@
             tb.addDoublePropertyLine(testedPagination.minHeightProperty(), -100, 300, 50, testedPagination);
             tb.addDoublePropertyLine(testedPagination.minWidthProperty(), -100, 300, 50, testedPagination);
 
-            Button hardResetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Hard reset").build();
+            Button hardResetButton = new Button("Hard reset");
+            hardResetButton.setId(HARD_RESET_BUTTON_ID);
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -120,7 +120,8 @@
                 }
             });
 
-            Button setBulletPageIndicatorButton = ButtonBuilder.create().id(SET_BULLET_PAGE_INDICATOR_BUTTON_ID).text("Set bullet").build();
+            Button setBulletPageIndicatorButton = new Button("Set bullet");
+            setBulletPageIndicatorButton.setId(SET_BULLET_PAGE_INDICATOR_BUTTON_ID);
             setBulletPageIndicatorButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     //testedPagination.setStyle(Pagination.STYLE_CLASS_BULLET);
@@ -128,14 +129,16 @@
                 }
             });
 
-            Button setPageCountToIndeterminateButton = ButtonBuilder.create().id(SET_PAGE_COUNT_TO_INDETERMINATE_BUTTON_ID).text("Set indeterminate\n page count").build();
+            Button setPageCountToIndeterminateButton = new Button("Set indeterminate\n page count");
+            setPageCountToIndeterminateButton.setId(SET_PAGE_COUNT_TO_INDETERMINATE_BUTTON_ID);
             setPageCountToIndeterminateButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     testedPagination.setPageCount(Pagination.INDETERMINATE);
                 }
             });
 
-            Button softResetButton = ButtonBuilder.create().id(SOFT_RESET_BUTTON_ID).text("Soft reset").build();
+            Button softResetButton = new Button("Soft reset");
+            softResetButton.setId(SOFT_RESET_BUTTON_ID);
             softResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 @Override
                 public void handle(ActionEvent t) {
@@ -148,7 +151,8 @@
                 }
             });
 
-            Button setNewPageFactory = ButtonBuilder.create().id(SET_NEW_PAGE_FACTORY_BUTTON_ID).text("Set new page factory").build();
+            Button setNewPageFactory = new Button("Set new page factory");
+            setNewPageFactory.setId(SET_NEW_PAGE_FACTORY_BUTTON_ID);
             setNewPageFactory.setOnAction(new EventHandler<ActionEvent>() {
                 @Override
                 public void handle(ActionEvent t) {
@@ -170,7 +174,8 @@
                 }
             });
 
-            Button setOldPageFactory = ButtonBuilder.create().id(SET_OLD_PAGE_FACTORY_BUTTON_ID).text("Set old page factory").build();
+            Button setOldPageFactory = new Button("Set old page factory");
+            setOldPageFactory.setId(SET_OLD_PAGE_FACTORY_BUTTON_ID);
             setOldPageFactory.setOnAction(new EventHandler<ActionEvent>() {
                 @Override
                 public void handle(ActionEvent t) {
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/scrollbar/ScrollBarApp.java b/functional/ControlsTests/src/javafx/scene/control/test/scrollbar/ScrollBarApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/scrollbar/ScrollBarApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/scrollbar/ScrollBarApp.java
@@ -66,13 +66,16 @@
 
         @Override
         final protected void prepareScene() {
-            testedScrollBar = ScrollBarBuilder.create().id(TESTED_SCROLLBAR_ID).build();
+            testedScrollBar = new ScrollBar();
+            testedScrollBar.setFocusTraversable(true);
+            testedScrollBar.setId(TESTED_SCROLLBAR_ID);
 
             tb = new PropertiesTable(testedScrollBar);
             PropertyTablesFactory.explorePropertiesList(testedScrollBar, tb);
             SpecialTablePropertiesProvider.provideForControl(testedScrollBar, tb);
 
-            Button resetButton = ButtonBuilder.create().id(RESET_BUTTON_ID).text("Reset").build();
+            Button resetButton = new Button("Reset");
+            resetButton.setId(RESET_BUTTON_ID);
             resetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/separator/SeparatorApp.java b/functional/ControlsTests/src/javafx/scene/control/test/separator/SeparatorApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/separator/SeparatorApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/separator/SeparatorApp.java
@@ -73,7 +73,8 @@
         @Override
         final protected void prepareScene() {
             pane = new Pane();
-            testedSeparator = SeparatorBuilder.create().id(TESTED_SEPARATOR_ID).build();
+            testedSeparator = new Separator();
+            testedSeparator.setId(TESTED_SEPARATOR_ID);
 
             tb = new PropertiesTable(testedSeparator);
             PropertyTablesFactory.explorePropertiesList(testedSeparator, tb);
@@ -90,7 +91,8 @@
             hb.setPadding(new Insets(5, 5, 5, 5));
             hb.setStyle("-fx-border-color : green;");
 
-            Button resetButton = ButtonBuilder.create().id(RESET_BUTTON_ID).text("Reset").build();
+            Button resetButton = new Button("Reset");
+            resetButton.setId(RESET_BUTTON_ID);
             resetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
